
Changes in 6.0.4
=================

* NEW	 variable Inf is pre-set to floating point INFINITY
* NEW	 "sharpen" filter handles vertical edges in a step function
* NEW	 gprintf format specifiers %C and %Ci
	 %C  formats a complex value as {a, b}
	     This is the format used by the gnuplot "print" command
	 %Ci formats a complex value as a + bi
	     Both the real and imaginary parts are printed using libc format %g
	     with optional width and precision
* NEW	 Allow installation of 64bit version on Windows on ARM systems
* NEW	 mingw: optionally use the MSYS2/CLANG64 environment
	 Support for cross-compilation for Windows on ARM
* CHANGE update configure and headers for better compatibility with c23/gcc15
* CHANGE splot with pm3d fillcolor <x> generates a matching key sample
* CHANGE gprintf %H format is distinct from %h in utf8 context
         %H uses dot operator between mantissa and exponent
* CHANGE kitty, sixel: default size to 100% width, 75% height of terminal window
* CHANGE partially deprecate the "sample" keyword for plot commands
	 The plot command accepts axis ranges as the first thing after "plot".
	 If present, they update the primary axis ranges x y x2 y2.
	 If a second colon is found in the range, as in [t=min:max:increment],
	 this is unambiguously a sample range rather than an axis range so
	 the "sample" keyword is not required.                          Bug 2666
* CHANGE do not break contour lines into 100-segment fragments
	 This fixes a bug when saved contour lines are used as polygons.
	 To maintain previous placement of contour labels, use
	 "set cntrlabl interval 100".
* FIX	 sixel: improved support for a transparent background           Bug 2828
* FIX	 kitty: support animation on a transparent background
* FIX	 webp:  support animation on a transparent background
* FIX	 backport fixes for color assignment to pm3d surfaces
	 "set pm3d implicit" + "with lines" treated the same as "with pm3d"
	 adds support for "fc background"
	 pm3d interpolate > 1 inherits rgb color assignments from the parent tile
* FIX	 fill style of colorbox should match fill style of pm3d surface
* FIX	 svg: fillstyle solid <frac> was incorrectly treated as transparent
* FIX	 transparent fill color in 3D boxes and polygons                Bug 2812
* FIX	 alpha channel colors on ARM platforms                          Bug 2812
* FIX	 resolve ambiguous syntax in "set dashtype i (n,m)"             Bug 2814
* FIX	 svg: font size changes within a text fragment could be lost    Bug 2816
* FIX	 "reset session" must terminate multiplot mode
* FIX	 determination of above/below in polar mode filledcurves        Bug 2825
* FIX	 always flush hidden3d line cache if present                    Bug 2836
* FIX	 incorrect evaluation of a**b for integer a, integer b < 0
	 in the case of "set overflow NaN" or "set overflow undefined"
* FIX	 loss of precision in some ranges for asin acos asinh acosh     Bug 2839

Changes in 6.0.3
=================
* NEW	 backport "contourfill {at base} {fs {no}border}"
* NEW	 backport "save changes <filename>"
         This variant saves only the differences between the current
         state and the state at the start of the session.
* NEW    backport "plot <data> ... if (filter_condition)"
         Input lines that satisfy the if condition are processed as usual.
         Lines that fail are essentially ignored.
* NEW    backport watchpoint label improvements from 6.1
         Each watch target can have its own label, generated by a user function
* CHANGE 3D polygon objects can have per-object fill border properties.
	 The restriction that all 3D polygons share a single set of
	 properties from "set pm3d" remains true for "splot with polygons".
* CHANGE multiplot mousing and replot improvements back-ported from version 6.1
* CHANGE wxt: remove --with-wx-multithreaded configuration option
* CHANGE restrictions on watchpoint function target removed; any function is OK
* CHANGE "with hsteps" takes default width from "set boxwidth"
* CHANGE column(0) returns an integer (not complex) value
* FIX	 Support for combined hidden3d + pm3d depthorder back-ported from 6.1
	 This allows placing contours on a depth-sorted pm3d surface    Bug 2762
* FIX	 "with yerrorbars" error bar span should not affect OUTRANGE    Bug 2749
* FIX	 qt: opaque key caused incorrect interactive toggling           Bug 2761
* FIX	 6.0.2 regression in "splot ... using 1:2:3:4 lc palette"       Bug 2784
* FIX	 placement of category labels along x-axis of boxplots          Bug 2789
* FIX	 qt, cairo: "set colorbox invert" produced empty colorbox
* FIX	 placement of minor tics along logscale axis with narrow range  Bug 2765
* FIX	 OK to have missing corners in an image from a sparse matrix    Bug 2791
* FIX	 error handling for various cases involving function blocks     Bug 2797

Changes in 6.0.2
================
* NEW	 backport plot style "with hsteps"
* NEW    backport plot style "splot with filledcurves" (waterfall plots)
* NEW	 general binary keyword option "blank=NaN"
	 - faciliates binary input to plot styles sensitive to blank lines
* NEW	 polygons in splot can use pm3d coloring
	 - facilitates use of triangular tessellated 3D pm3d surfaces
* NEW	 - UTF-8 terminal input now works when linked against BSD editline
	   ./configure --with-readline=bsd
* CHANGE backport reimplementation of local variables
	 - faster function block evaluation, better-defined scope
* CHANGE apply jitter to the horizontal spread of boxplot outliers
* CHANGE dump $GPVAL_LAST_MULTIPLOT at the end of a "save" file
* FIX	 backport reworked generation of logscale axis tic marks        Bug 2372 2717
* FIX	 Do not save extraneous commands to $GPVAL_LAST_MULTIPLOT	Bug 2714
* FIX	 svg: modify gnuplot_svg.js to work in local standalone mode	Bug 2715
* FIX	 "set table": honor "nosurface" keyword in splot
* FIX	 "set table": honor "set format z" when z is printed from plot
* FIX	 better contouring near the edge of a z-clipped surface
* FIX	 x11: handle mousing of logscale axes in inactive plot window	Bug 2723
* FIX	 qt: handle mousing of logscale axes in inactive plot window	Bug 2723
* FIX	 wxt: handle mousing of logscale axes in inactive plot window	Bug 2723
* FIX	 wxt: release per-thread font data before entering "persist"	Bug 2693
* FIX	 "set tics scale" should not change other axis tick properties 	Bug 2724
* FIX    fill properties can be given as part of "splot with circles"
* FIX    some properties of the key title not shown by "show" or "save" Bug 2729
* FIX	 points with variable color value NaN should not be drawn  	Bug 2737
* FIX	 "set term tikz nostandalone" should suppress the latex wrapper	Bug 2740
* FIX	 handle unusual case of intersecting pm3d surfaces             	Bug 2744
* FIX	 prevent use-after-free if a function block has no "return"     Bug 2745

Changes in 6.0.1
================
* CHANGE Use of data source '-' inside a multiplot is an error;
	 use a local datablock instead
* CHANGE gd: scale "dot" (pointtype 0) by current linewidth		Bug 2690
* CHANGE modify configure script to accommodate Fedora dependencies	Bug 2706
* FIX	 empty field in csv file should not generate a tic label	Bug 2667 2672
* FIX	 Do not autoscale or extend axis ranges while zooming		Bug 2679 2680
* FIX	 x11: Empirical correction for bad rotation of enhanced text	Bug 2661
* FIX	 wxt: Add exception handler for mouse event processing		Bug 2680 2683
* FIX	 wxt: make right-mouse zoom box independent of terminal scaling	Bug 2578
* FIX	 regression: border color of objects with fillstyle "empty"	Bug 2686
* FIX	 "set colorbox border {<lt>}" parsing error
* FIX	 svg: set default fill properties for depth-sorted pm3d objects
* FIX	 gd x11: very short arrows were not drawn at all		Bug 2690
* FIX	 "stats ... name FOO" Do not delete existing variables FOO_*	Bug 2695
* FIX	 order-dependent parsing of 2D plots with "fs solid fc variable"
* FIX	 mp: configure --with-metapost failed to include mp terminal
* FIX	 qt wxt x11: "set term" from a script causes next pause to fail	Bug 2703
* FIX	 tikz: fix use of palettes with a fixed number of colors	Bug 2706


================================================================================
Version 6.0
================================================================================
  Release 6.0 patchlevel 0		 29 December 2023
  Too many changes between version 5 and version 6 to list here.
  See Release Notes.
================================================================================

Changes in 5.4
==============
* NEW support for 64-bit integer arithmetic
* NEW support for voxel grids
* NEW plot ... with table if <expression>
* NEW "set walls" command to show xy xz and yz planes in 3D plots
* NEW "set clip radial" for line segments in polar mode plots
* NEW "splot ... with isosurface"
* NEW "splot ... with circles"
* NEW "splot ... with boxes"
* NEW "plot ... with arrows"
* NEW "plot ... with polygons"
* NEW "set view projection {xz|yz}"
* NEW "set datafile columnheaders"
* NEW per-plot fillcolor and fillstyle for pm3d surfaces
* NEW allow separate color column with dgrid3d surfaces (but not color splines)
* NEW string function trim(" padded string ") removes leading and trailing whitespace
* NEW unicode escape sequences \U+hhhh
* NEW order N Bessel functions of 1st and 2nd kind (besjn besyn)
* NEW modified Bessel functions I0 (besi0) and I1 (besi1)
* NEW modified Bessel function of order n (besin)
* NEW "set object polygon depthsort" as an alternative to front/back/behind
* NEW "set pixmap" object-like bitmap images from png/gif/jpeg input files
* NEW overflow avoidance extends range of arguments handled by complex division
* NEW largely extended pcl5 terminal supports PCL5e/PCL5c printers
* NEW revised pstricks and texdraw LaTeX terminals
* NEW extended dospc terminal (DOS32/OpenWatcom)
* NEW extended svga terminal using the (M)GRX library (DOS32/DJGPP)
* NEW heavily revised fig terminal
* NEW LaTeX terminal pict2e uses the LaTeX2e pict2e environment
* NEW Left-click on hypertext label will copy text to clipboard (wxt qt)
* NEW smooth option "zsort" controls order that points are plotting in
* NEW multiple textbox styles
* EXPERIMENTAL "set mouse mouseformat function <stringval_from_xy(x,y)>"
* EXPERIMENTAL load $DATABLOCK
* CHANGE revised syntax for plot style "with parallelaxes"
* CHANGE deprecate command "reread"
* CHANGE remove deprecated command "update"
* CHANGE remove deprecated option "thru"
* CHANGE special case optimization of nonlinear code to speed up logscale
* CHANGE windows terminal can print using Direct2D
* CHANGE windows terminal supports color fonts (Direct2D)
* CHANGE arrow head size can be decoupled from arrow size
* CHANGE apply trange to sampling on pseudofile '+'
* CHANGE move tgif terminal to "legacy" status; build only if configured
* CHANGE imaginary values from the using spec of a 2D plot are treated as NaN
* CHANGE remove compile option EXTENDED_COLOR_SPECS used only by vgagl.trm
* CHANGE remove linux and vgagl terminals
* CHANGE remove undocumented EXPERIMENTAL option for pm3d filled contours
* CHANGE print to datablock expands embedded \n into a separate block entry
* CHANGE boxplot outliers affect autoscaling only if they are enabled
* CHANGE remove latex, emtex, eepic, and tpic terminals from default build
* CHANGE pm3d quadrangles are by default clipped smoothly to zrange
* FIX allow mixed use of in-key plot titles and manually placed titles
* FIX open/close path for polygons
* FIX several stability issues of the caca terminal

New features introduced to 5.2 in patchlevel releases
=====================================================
* NEW "set grid {no}vertical" adds grid lines in the xz and xz planes
* NEW "set cntrparam {firstlinetype N} {{un}sorted}"
* NEW set table separator {tab|comma|"char"} allows creation of csv files
* NEW hotkey for changing azimuth in 3D plots with mousing
* NEW splot ... with lines title at {beg|end}
* NEW Rework gstrptime() to handle relative time formats tH tM tS
* NEW command "set rgbmax <value>" controls interpretation of input RGB values
* NEW allow array size to be determined automatically from initializer
* NEW "set pm3d noclipcb" will skip drawing quadrangles whose color is < cbmin
* NEW imaginary component of array values is available to "using" in column 3
* NEW "exit status <val>" exits program with user-provided status

New features, changes and fixes in gnuplot version 5.2 (initial release)
========================================================================
* NEW plot styles
* NEW    splot ... using <x>:<y>:<z>:<zlow>:<zhigh> with zerrorfill
* NEW    "set jitter" allows creation of bee swarm plots
* NEW    data filter "bins" sorts input into equal width bins on x
* NEW    "with points" and "with linespoints" accept `pointtype variable`
* NEW    hidden3d now treats 'image' and 'rgbimage' as occluding rectangles
* NEW    "smooth fnormal" normalized frequency
* NEW polar mode improvements and extensions
* NEW    "set [m]ttics" places labels around perimeter of polar grid
* NEW    "set rlabel" places a label above the r axis
* NEW    "set rrange [90:0]" plots in celestial horizontal coordinates
* NEW    "set border polar" uses border linetype for perimeter of polar plot
* NEW    "set theta <origin> <sense>" orientation of polar coordinate theta
* NEW    label, arrow, and object positions may be given in polar coordinates
* NEW nonlinear coordinate systems
* NEW    "set nonlinear <axis> via f(axis) inverse g(axis)"
* NEW    "set log" re-implemented as special case of "set nonlinear"
* NEW data type array[size]
* NEW commands and command options
* NEW    "break" exits from iteration loop
* NEW    "continue" begins next iteration immediately
* NEW    "toggle {<plotno> | "plottitle" | all}"
* NEW    "set pm3d lighting" specifies lighting model with specular highlighting
* NEW    "set table OUTFILE {append}"
* NEW    "set minussign" and "set micro" (first appeared in 5.0.5)
* NEW    "set view azimuth <angle>" controls azimuth of the z axis in 3D plots
* NEW    "save fit <filename>" replaces deprecated command "update"
* NEW terminals and terminal options
* NEW    terminal domterm (supports in-line SVG in DomTerm terminal emulator)
* NEW    terminal sixelgd (sixel terminal graphics using gdlib)
* NEW    svg 'standalone' embeds images rather than including by reference
* NEW    windows terminal supports saving graph as bitmap
* NEW    windows graph windows can be docked to the wgnuplot text window
* NEW    windows terminal has experimental Direct2D driver
* NEW    wxt supports saving graph as EMF on Windows
* NEW    wxt supports printing on Windows
* NEW    dumb supports ANSI colors and filled polygons
* NEW Optional sampling interval in range specifier for pseudofile '+'
* NEW gnuplot on Windows
*        converts Unicode (BMP) input to current `set encoding`, including UTF-8
*        is system DPI aware
* NEW textbox style supports fillcolor and bordercolor
* CHANGE point style associated with "plot with labels" is shown in the key
* CHANGE Revise placement of axis labels in 3D plots
* CHANGE Timestamp is now placed relative to page rather than plot boundary
* CHANGE Track font/enhanced for key title separately from the key entries
* CHANGE order of margins in `set margins <left>, <right>, <bottom>, <top>`
* CHANGE Store and reuse x,y dimensions from the time image data is read in
* CHANGE Some STATS_* variables are of type integer rather than real (complex) 
* CHANGE ^R starts a backward search when using the built-in readline
* CHANGE Only update axis->data_min/max if the point being stored is INRANGE
* CHANGE auto-generation of minitics on logscale axis has changed
* CHANGE revised printing dialogs on Windows
* CHANGE preserve whitespace following opening { in enhanced text strings
* CHANGE windows terminal provides better oversampling
* CHANGE New default "set key fixed" prevents 3D key box from rotating with plot
* CHANGE Deprecate pdf terminal requiring non-free library PDFlib
* CHANGE windows terminal also uses GDI+ for printing and copy-to-clipboard
* CHANGE raxis/polar grid can coexist with cartesian axes
* CHANGE evaluation of norm(x) or x**y returns 0 on floating underflow
* CHANGE support for space-in-x11-raises-KDE3-konsole is now a configure option
* CHANGE don't use loadpath to choose output directory for "save"
* CHANGE GNUTERM may contain terminal options in addition to bare terminal name
* CHANGE remove legacy terminals corel and dxf from default build
* FIX cairo.trm - reset terminal font after printing an enhanced text string
* FIX autoscaling of data with "smooth cnorm"
* FIX Built-in readline handles S-JIS encoding
* FIX Output to printer on Windows via special file "PRN"

Changes in 5.0.rc3
==================

* NEW new command set {xyz}tics {timedate|geographic|numeric} sets axis->tictype
* NEW add the tictype keywords to set format {axis} {time|geographic|numeric}
* NEW format modifier 't' in timedate mode indicates a time rather than a date
* CHANGE separate input format (axis->datatype) and output format (axis->tictype)
* CHANGE report and save xyz position using time coordinates if appropriate
* CHANGE emulate v4 syntax for timecolumn(<single-param>)
* CHANGE revised v5 "fit" syntax does not match -rc1 and -rc2
* CHANGE auto-detect and accept v4 "fit" syntax
* CHANGE remove obsolete terminals aed and v384
* FIX "splot ... with dots" was not drawing the dots
* FIX revert arrowhead changes introduced in -rc1
* FIX lua terminal support for LT_NODRAW, RGBA linecolors
* FIX stats code was confusing x- and y- dimensions of matrix data
* FIX track :Italic and :Bold given in "set term" for cairo terminals
* FIX if $2 is NaN, plot FOO using 1:(oops=f($2)) should set oops to NaN

Changes in 5.0.rc2
==================

* NEW grey out key entries when corresponding plot is toggled off
* NEW allow parenthesized expressions as call parameters
* NEW set margins <left>, <right>, <top>, <bottom>
* NEW set trange [theta_min:theta_max] filters input data in polar plots
* NEW "set mouse zoomfactors <xfact>,<yfact>"
* NEW New matrix keywords for text data: "columnheaders" and "rowheaders"
* CHANGE apply "set key {no}enhanced}" to the key title
* CHANGE scale dashlength with line width
* CHANGE respond to left mouse click on press rather than on release
* CHANGE remove bf_test dependence on all other gnuplot files and libraries
* CHANGE apply default rectangle style during "set obj" rather than when drawn
* FIX wxgtk3 requires initialization of Xthreads
* FIX width adjustment for long key title in multicolumn keys
* FIX treat data value read as "NaN" the same as we would "1/0"
* FIX handle pointtype PT_CHARACTER in 3D plots
* FIX do not store long strings (e.g. epslatex_header) in terminal options array
* FIX [maybe] extra resize of initial qt window may fix problems on OSX, Debian
* FIX handling of events triggered by closing the qt plot window
* FIX refresh of plot with log-scaled color box
* FIX MSWin pipe issues
* FIX if terminal is in "monochrome" mode, convert color requests to black
* FIX apply user-defined line colors to text color also
* FIX Fix y extent and clipping of rectangles with y<0 or inverted axes
* FIX dashtype bugs in rectangles, arrows, and probably other things


New features, changes and fixes in gnuplot version 5.0
======================================================

* NEW The dashtype property on any line can be separately controlled
* NEW custom dashtypes
* NEW LFS support for datafiles
* NEW timecolumn(col,"timeformat') now requires 2nd parameter, the format
* NEW 'set view map {scale}' allows resizing a 3D projection plot
* NEW 'nodraw' keyword to suppress lines (e.g. in style linespoints)
* NEW bold/italic text markup in enhanced text mode
* NEW bit-shifing binary operators << and >>
* NEW stat calculates skewness, kurtosis, and standard errors
* NEW function plugins, e.g. 'import f(x) from "plugins.so"'
* NEW option to tabulate all input columns "set table; plot ... with table" 
* NEW smoothing option "mcsplines" for piecewise monotonic cubic splines
* NEW 'history !N' reexecutes the command at history entry N.
* NEW 'set history {size <N>} {quiet|numbers} {full|trim} {default}'
* NEW piecewise functions via separate sampling ranges for each plot element
* NEW function hsv2rgb(H,S,V) creates a 24-bit RGB value
* NEW plot title can be placed next to the plot line in the graph proper
* NEW inline data can be stored for reuse in named data blocks
* NEW 'set print|table $datablock' to redirect output to a named data block
* NEW hypertext labels can be displayed on mouse-over
* NEW geographic (Degrees Minutes Seconds) data axes
* NEW set arrow <tag> from <start> length <len> angle <ang>
* NEW arrow style keywords "noborder" and "fixed"
* NEW the high bits of RGB colors are treated as an alpha channel
* NEW 'set surface explicit' disables automatic generation of a surface mesh 
* NEW 'set link [x2|y2]' ties secondary axis range to the primary axis
* NEW 'set link x2 via f(x) inverse g(x)' introduces generic nonlinear axes
* NEW linked axes can be used to place x2 and y2 labels on 3D plots in map mode
* NEW 'set key opaque' works for 3D plots also
* NEW x11 terminal is aware of current and requested plot aspect ratio
* NEW x11 support for toggling plots on/off with left mouseclick on the key
* NEW post term can use /FlateDecode to reduce the size of embedded images
* NEW 'set fit quiet|results|brief|verbose' changes fit's verbosity
* NEW fit optionally stores final covariances to user variables
* NEW fit command takes errors of independent variables into account
* NEW 'set multiplot next/previous'
* NEW 'set contours; splot FOO with labels' places labels on the contour lines
* NEW Additional levels of user-specified axis tics
* NEW complex math routines cerf, cdawson, erfi, faddeeva from libcerf if present
* NEW i/v/V hotkeys to toggle all plots on the screen on/off
* NEW 'set mrtics'   (minor tics on polar axis)
* NEW 'reset session'
* NEW call argument convention ARGC, ARG0 ARG1 ... ARG<ARGC>
* NEW shell invocation gnuplot -c scriptfile ARG1 ARG2 ARG3
* NEW format %h is like %g but uses LaTeX or enhanced markup for the exponent
* NEW LaTeX terminals use math mode for axis tic labels
* NEW Interrupt scripts or fits by pressing Ctrl-C in Windows console mode
      gnuplot or Ctrl-Break in wgnuplot.
* NEW optional faster windows terminal variant using GDI+
* NEW plot option to "skip N" lines at start of an ascii data file
* NEW interactive color character art terminal "caca"
* CHANGE mouse events are handled even when the program is not waiting on stdin
* CHANGE mouse wheel and +/- keys zoom centered on current mouse position
* CHANGE Provide kdensity bandwidth via a keyword rather than a data column
* CHANGE Pipe (popen/pclose) emulation within wgnuplot
* CHANGE 'set [xyz]axis ... reverse' affects only auto-scaling
* CHANGE Revised handling of NaN in input data stream
* CHANGE Remove the BACKWARDS_COMPATIBLE build option (deprecated since v4.0)
* CHANGE The number of valid columns in the first line of a data line
         is used to decide the interpretation of all lines in the file.
* CHANGE Automake 1.12 imposes an absolute requirement for C prototypes
* CHANGE binary plot options are less order-dependent, but may be persistent
* CHANGE leave axis log base non-zero so gprintf format %L works on linear axes
* CHANGE time calcs use the standard epoch date 01-jan-1970 rather than 2000
* CHANGE fit options are controlled via `set fit` instead of FIT_ variables
* CHANGE fit defaults to brief one-line progress reports
* CHANGE fit 'prescale's parameters by default
* CHANGE new fit syntax to specify errors in dependent and independent variables
* CHANGE treat empty field in a csv file as "missing" rather than "bad"
* CHANGE strip \r from data lines on input so that DOS format *.csv can be read
* CHANGE Use Sutherland-Hodgman algorithm for clipping polygons and filled curves
* CHANGE Maximum number of fit dimensions increased to 12 (was 5).
* CHANGE pgnuplot no longer included in binary distribution
* CHANGE new implementation of Airy function (much higher precision)
* CHANGE 'call' arguments are evaluated to yield a string if at all possible
* CHANGE reworked qt driver for use with qt5, much faster rendering
* CHANGE gnuplot-mode (emacs plugin) now maintained as a separate project
* CHANGE autoscaled impulse plots will extend to y=0
* CHANGE object borders can have dashtype and other line properties
* FIX Hitting ^C twice will forcibly terminate wxt if server connection is lost


New features, changes and fixes in gnuplot version 4.6
======================================================

* NEW individual plots can be toggled on/off by clicking on the key sample
    (wxt, svg, canvas, qt, win)
* NEW syntax allowing column selection by matching a string in the first line
* NEW syntax supporting multi-line blocks of code delimited by curly braces
    if (<cond>) { ... } else { ... }
    do for [...] { ... }
    while (<cond>) { ... }
* NEW summation expression:   sum [<var> = <beg> : <end>] <something>
* NEW nested iteration e.g. "plot for [i=1:5] for [j=1:5]"
* NEW explicit justification for tic labels, e.g. "set xtics right"
* NEW time formats can handle fractional seconds (microsecond precision)
* NEW time() function returns current time
* NEW hidden3d supports "with impulses"
* NEW hidden3d supports arrow style parameters for "with vectors"
* NEW user-definable linetypes
* NEW plot style "with boxplot"
* NEW plot style "with circles" allows start/end angles for each arc
* NEW plot style "with ellipses"
* NEW plot style "with fillsteps"
* NEW qt terminal driver 
* NEW epscairo terminal driver
* NEW context terminal driver
* NEW cairolatex terminal driver
* NEW variable (per-data point) color for additional plot styles
* NEW "set key opaque" produces a key with an opaque background
* NEW ISO-IEC-80000 prefixes (ki Mi Gi etc) available as gprintf formats %b %B
* NEW encodings cp950 cp1251
* NEW option "set fit quiet"
* NEW option "kdensity2d" for two-dimensional kernel density plots
* NEW configuration option --without-bitmap-terminals (see note in INSTALL)
* NEW polar mode raxis, rtics, rrange, log-scaling, bounded filledcurves
* NEW Shift-JIS encoding recognized by postscript, gd, svg, and win terminals
* NEW windows terminal supports encodings
* NEW mouse tracking for SVG terminal
* NEW tab-completion for builtin readline
* NEW windows terminal can save graph as EMF file
* NEW cubehelix scheme for color palettes
* NEW localisation support for Windows help and menu file
* NEW Windows installer
* NEW shared initialization file $GNUPLOT_SHARE_DIR/gnuplotrc
* FIX length estimation of UTF-8 strings
* FIX accurate placement of color boundaries in the colorbar
* FIX Built-in readline handles UTF-8 encoding
* FIX asin(sin(z)) == z for complex z
* FIX default configuration does not initialize from ./.gnuplot
* CHANGE 3D zoom using middle mouse button is now a logarithmic response
* CHANGE 3D impulses are now always drawn from z=0
* CHANGE remove vestigial code supporting Amiga, Apollo, and 16-bit MSDOS/WIN
* CHANGE remove obsolete drivers unixplot, gnugraph, and SCO cgi
* CHANGE extend formats x/X/o/O to 64 bits if necessary to represent the value
* CHANGE "set palette maxcolors" no longer fights with "set palette defined"
* CHANGE javascript support for HTML5 canvas does not use global variables
* CHANGE Built-in readline DEL recognized as forward-delete (system-dependent)
* CHANGE Built-in readline ^W deletes previous full or partial word
* CHANGE wgnuplot text window supports wrapping of long lines
* CHANGE new Windows help file format (chm)
* CHANGE copy graph to clipboard as enhanced metafile in windows terminal
* CHANGE improved windows terminal driver
* CHANGE hidden3d top/bottom surface colors taken from linetype, not line style


New features, changes and fixes in gnuplot version 4.4.0
========================================================

* NEW CANDLESTICKS accept an option 6th input column specifying width
* NEW point property 'pointinterval'
* NEW gnuplot.exe is a full-featured console mode gnuplot executable for Windows
* NEW plot style "with circles"
* NEW object types circle, ellipse, and polygon
* NEW options front and back to "set colorbox"
* NEW x11 can plot into a window opened and managed by an external application
* NEW gd terminal can use fonts through fontconfig (libgd version > 2.0.35)
* NEW optional 3 columns of data to generate histogram errorbars
* NEW 'volatile' data, including inline data, can be replotted without rereading
* NEW 'refresh' command replots without rereading data if possible
* NEW rgbimage style now works in 2D and 3D for all terminals that support RGB
* NEW plot style rgbalpha 
* NEW transparent fill styles
* NEW iteration within a plot command; e.g. plot for [i=1:10] foo(i)
* NEW iteration with set/unset commands
* NEW operators '=' and ',' in expression syntax
* NEW terminal lua generates commands for interpretation by external lua script
* NEW terminal tikz uses a lua script to generate output for latex TikZ package
* NEW terminal canvas for HTML 5 canvas element
* NEW terminal pdfcairo based on cairo and pango
* NEW terminal pngcairo based on cairo and pango
* NEW terminal dpu414 - Seiko DPU-414 thermal printer
* NEW error status variables GPVAL_ERRNO and GPVAL_ERRMSG
* NEW variables GPVAL_LAST_PLOT, GPVAL_{S}PLOT, GPVAL_MULTIPLOT
* NEW variables GPVAL_VIEW_{MAP|ROT_X|ROT_Z|SCALE|ZSCALE}, GPVAL_TERMINALS
* NEW variables GPVAL_PWD
* NEW per-plot export of information needed for external mousing scripts
* NEW support for dashed linetypes in additional terminals
* NEW the 'bind' command accepts non-keyboard triggers, e.g. 'close'
* NEW commands 'show bind' and 'reset bind'
* NEW individual plots can be omitted from autoscaling of axis ranges
* NEW more smoothing options: new kernels (for dgrid3d) and 'smooth cumulative'
* NEW command 'evaluate' executes commands from a string variable
* NEW z-axis tic labels can be colored by Z value
* NEW command 'set view equal {xy|xyz}' forces axes in a 3D plot to the same scale
* NEW 'set pm3d interpolate m,n' supports also non-positive m,n as nbs of points
* FIX domain restrictions on ibeta()
* FIX remove the limit of 64 characters read as string data from a data file
* FIX remainder of command line is not lost after a "load" command
* FIX more complete support for locale internationalization, UTF-8 encoding
* FIX various font-handling problems in postscript terminal driver
* FIX avoid infinite loop on resizing x11 plot window under ion, fluxbox
* FIX handle addition plot styles in mode 'set table'
* FIX purge tick labels read from a datafile at the end of each plot
* FIX 2nd colour in the colour box for negative palette in postscript
* FIX interpolatation for pm3d surfaces given by both z and colour coordinates
* FIX 'set datafile binary format=...' was documented, but not implemented
* FIX enhanced text mode treatment of UTF-8 characters
* CHANGE A number that begins with a . must continue with a digit
* CHANGE syntax of 'set datafile binary' array= and record= options
* CHANGE 'reset' does not affect locale, encoding, decimalsign settings
* CHANGE 'set key textcolor rgb variable' will use plot colors for key entries
* CHANGE Remove obsolete IRIS4D terminal type
* CHANGE Remove obsolete atari terminal types (atariaes atarivdi multitos)
* CHANGE Use empty/solid fill for candlesticks rather than empty/striped
* CHANGE 'l' and 'L' hotkeys toggle colorbar logscale iff mouse is in colorbar


Features, changes and fixes in gnuplot version 4.2
==================================================

Below you find a list of news, changes and fixes in gnuplot version 4.2.

Please see also section "What is New in Version 4.2" in gnuplot documentation
(files gnuplot.gih, gnuplot.hlp, gnuplot.inf, etc.) available by the command
    gnuplot> help new
from gnuplot 4.2. You may find it also in files gnuplot.pdf, gnuplot.html
or gnuplot.info optionally available in your distribution, or online at
    http://www.gnuplot.info/docs/gnuplot.html#What_is_New_in_Version_4.2

* NEW autogenerated read-only variables prefixed GPVAL_ and "show variables all"
* NEW Japanese language documentation - FAQ and User Manual
* NEW multi-platform and interactive wxWidgets terminal
* NEW windows terminal supports enhanced text mode
* NEW support for placement of individual rectangles within plot or canvas
* NEW command "set style increment user" allows customization of default lines
* NEW commands raise and lower
* NEW y and y2 axis label rotation can be explicitly controlled (2D plots only)
* NEW {no}enhanced flag can be applied to individual labels
* NEW suboption 'set pm3d interpolate' for bilinear interpolation of surfaces
* NEW 3D plots can read RGB color triples as part of input data
* NEW write command history file also for gnuplot's readline
* NEW more versatile key placement and arrangement
* NEW 'splot x*y with pm3d' no longer requires prior 'set pm3d'
* NEW store a sequence of plots to an animated gif (requires libgd > 2.0.28)
* NEW multi-byte font support in x11, controlled by the locale setting LC_CTYPE
* NEW control decimal sign conventions using locale setting LC_NUMERIC
* NEW pstex, pslatex and epslatex terminals share functionality with postscript
* NEW suboptions "set pm3d corners2color min|max"
* NEW suboption  "set pm3d depthorder" does hidden-surface removal (sort of)
* NEW linetype colors via "lt {palette {frac <val> | cb <val>}}"
* NEW linetype colors via "lt {rgbcolor {"name" | "#RRGGBB"}}"
* NEW palette and rgb linetype colors apply to all 2D and 3D plot elements
* NEW user defined variables can contain strings
* NEW expression evaluation can manipulate and return strings
* NEW built-in string functions sprintf, gprintf, substr, strstrt, word, words
* NEW built-in string function system("shell command")
* NEW command line macro expansion   @<stringvariablename>
* NEW automatic variable $# expanded to number of arguments after "call"
* NEW reading of (almost) arbitrary image binary files
* NEW plot styles "with image" and "with rgbimage"
* NEW plot style "with labels" reads text data along with X/Y/Z coordinates
* NEW plot style "with histograms" creates clustered or stacked histograms
* NEW auto-layout of multiplot using "set multiplot layout <rows>, <cols>"
* NEW variant of plot "with filledcurves" that fills the area between two curves
* NEW variant of "with filledcurves" that fills only above or below the curve
* NEW using options {x|y|z}ticlabels(<col>)
* NEW option to read plot title from data file: set key autotitle columnheader
* NEW command 'set termoption <foo>' changes single property of current terminal
* NEW png driver supports antialiasing and TrueColor images
* NEW encoding koi8-u
* NEW plot style "with vectors" applies to both 2D and 3D plots
* NEW plot style "with points" can read variable point size from input file
* NEW "set tics" can change most settings for {x|y|z|cb}tics at once
* NEW tic scale can be set per axis using "set {x|y|z|cb}tics scale"
* CHANGE history file is written by default
* CHANGE PostScript prolog and character encoding files now maintained separately
* CHANGE Placement of z-axis label in 3D plots is now equivalent to x and y axes
* CHANGE "set ticsscale" is deprecated, use "set tics scale" instead
* CHANGE gnuplot on x11 has mousing always enabled on startup
* CHANGE 'set datafile fortran' is now required in order to read D or Q constants
* CHANGE let the string in '{s}plot ... notitle "string"' be silently ignored
* CHANGE libgd versions 2.0.28+ support GIF images as well as PNG/JPEG
* CHANGE remove old (non-libgd) GIF and PNG drivers
* CHANGE X-resource gnuplot*ctrlq:on requires <ctrl>q to kill plot window
* CHANGE X-resource gnuplot*exportselection:off disables plot->clipboard export
* CHANGE prefer use of offset keyword in 'set [xyz]label "foo" offset -1,-1'
* CHANGE 'set table "outfile"; ...; unset table' replaces 'set term table'
* CHANGE 'defined(foo)' is deprecated; new syntax is 'exists("foo")'
* FIXED empty datafiles are not a fatal error
* FIXED setenv GNUTERM now works for png, jpeg, and gif drivers
* FIXED PostScript output can be restricted to Level 1 compatible features
* FIXED emf output is compatible with MSWin XP SP 2
* FIXED limit size of X11 requests to half the maximum allowed by the X display
* FIXED arrowheads drawn in solid lines even if the shaft is dotted (PostScript)
* FIXED estimate true effective length of strings in enhanced text mode
* FIXED clipping of filled curves


Changes between gnuplot versions 3.7.2 and 4.0
==============================================

Below you find list of news, changes and fixes in gnuplot version 4.0
and older.

Please see also section "What is New in Version 4.0" in gnuplot documentation
(files gnuplot.gih, gnuplot.hlp, gnuplot.inf, etc.) available by the command
    gnuplot> help new
from gnuplot 4.0. You may find it also in files gnuplot.pdf, gnuplot.html
or gnuplot.info optionally available in your distribution, or online at
    http://www.gnuplot.info/docs/gnuplot.html#What_is_New_in_Version_4.0


Mouse and hotkey support in screen terminals

  The pm, x11, ggi and windows terminals support interactive work with mouse
  and hotkeys. The usage of the mouse is mainly self-explanatory. Just type 'h'
  in the graph window (hereafter we mean either PM, X11, ... terminal window)
  and a short overview of commands will pop up. The mouse is turned on and off
  with the hotkey 'm'. See 'help mouse' and 'help bind' for more details.

  The coordinates of mouse clicks are exported to variables MOUSE_X, MOUSE_Y,
  MOUSE_X2, MOUSE_Y2, and MOUSE_BUTTON accessible from the gnuplot command
  line. This allows gnuplot scripts to alter their behaviour based on
  interactive mouse input. See 'help mouse variables' and 'help pause mouse',
  and the example script demo/mousevariables.dem. Further it allows interaction
  of a gnuplot mouseable terminal and external programs in C, Python, Octave,
  etc. using gnuplot as their graph engine. This is demonstrated on gnuplot web
  page in section "Programming interfaces - bidirectional interaction".


Brief list of news in gnuplot 4.0:

* CHANGE sample calculated "smooth csplines" only in actual xrange
* CHANGE 'set term gif' compile-time option to write PNG format instead
* CHANGE pattern fill styles are uniform across all supporting terminals
* CHANGE X-window plot and font size is used to adjust plot layout
* CHANGE 'set key {on|off|default}' is preferred method for controlling key
* CHANGE mouse position is tracked in all X windows (not just current one)
* NEW enhanced text mode for additional terminal types
* NEW built-in function 'defined(<variablename>)'
* NEW mouse input information is exported to user-accessible variables
* NEW 'set term png' and 'set term jpeg' using modern GD library
* NEW set size ratio now works for splots, too
* NEW grid options: {layerdefault | front | back}
* NEW plot option "smooth frequency"
* NEW terminal names now sorted alphabetically
* NEW "with palette" also for points
* NEW plotstyle "with filledcurves"
* NEW 'set style fill' applies to boxes, boxxyerror, boxerror, candlesticks
* NEW "set boxwidth <number> relative"
* NEW options to FIG terminal driver
* NEW parse errors in datafile reading now show the culprit
* NEW labels can be printed attached to a point
* FIXED interaction of "set xtics <incr>"  with time/date axes
* FIXED candlesticks now ignore order of high/low entries
* FIXED keeping old arrow options if new "set" command modifies it
* FIXED undoing a mouse zoom that started from autoscaled axis
* FIXED contour line colours in pm3d's "with palette" mode
* FIXED PostScript stack pollution caused by "Symbol Oblique" patch
* FIXED warnings from perl -w in tkcanvas terminal output
* FIXED dgrid3d floating point exception
* FIXED logscaled colorbox axis
* FIXED pgnuplot for Windows NT/2K/XP


Time-organized list of news until gnuplot 4.0:

[3.8k]
* NEW let gnuplot on windows support -persist option
* NEW encoding koi8-r
* NEW 'set term x11 title "title"' and 'set term x11 close'
* NEW 'test palette'
* NEW 'set palette palette <n>' options {float|int} and output to that of
  'set print'
* NEW enhanced text mode for x11 gd pdf and dumb terminals
* UPDATED aquaterm terminal driver (Mac OS X). Requires AquaTerm 1.0 or later.

[3.8j]
* NEW 'show palette fit2rgbformulae'
* NEW 'set datafile commentschars {"<chars>"}'
* NEW 'set datafile separator {whitespace | "<char>"}'
* CHANGE terminal provided by openstep is called "openstep", not "next"
* CHANGE terminal provided by gnugraph is called "gnugraph", not "unixplot"
* NEW pm3d option corners2color
* NEW PM3D support for pstricks terminal
* NEW configure option --with-gihdir to specify location of .gih file
* NEW aquaterm terminal driver, for MacOS X

[3.8i]
* NEW 'set style arrow' and back angles for arrow heads.
* NEW option 'set view map'
* NEW encapsulate PFA, PFB, TTF font file definitions into postscript files:
  option `set terminal postscript ... fontfile`
* NEW command 'set fontfile'
* NEW color modes for pm3d, see `help palette`
* NEW option `set terminal postscript ... palfuncparam`
* NEW set key {no}autotitles
* NEW arbitrary text rotations; 'set label ... [no]rotate [by] ...'
* NEW set arrow ... filled | nofilled ...
* NEW set title ... textcolor ...
* NEW set [x|y|z|cb|...]label ... textcolor ...
* NEW set label ... textcolor ...
* NEW show plot add2history
* NEW explicit coloring of splots ... with lines|points palette according to
  the 4th column in the data file
* NEW pm3d option {no}ftriangles
* NEW splot ... with pm3d {at option}
* CHANGE pause supports subsecond time resolution (on systems supporting it)
* CHANGE "configure --with-x11-driver" and "set term x11 driver" removed.
* CHANGE gnuplot_x11 now goes to $pkglibdir/$version, not $bindir
* NEW environment variable GNUPLOT_DRIVER_DIR to override that path
* NEW set log cb - since now, z and cb axes are completely independent
* NEW set decimalsign
* NEW set key {no}enhanced
* NEW pm3d splots support independent z and color coordinates according to an
  optional 4th column of using
* NEW X11 can rotate text

[3.8h]
* NEW set key height <height>

[3.8g]
* CHANGE set label with any line type (colour), point type and point size
* CHANGE use either two or five minitic steps, never 4 (in logscale)
* CHANGE reject candlesticks/financebars plots of to few columns --- warn
  and then plot with "points", instead
* NEW Hotkeys to access clipboard in MS Windows version
* NEW set style [data | function] filledcurves {options}
      plot ... with filledcurves {options}
* NEW autoscale options: `fix`, `keepfix`
* NEW some more fancy 3D demo plots
* NEW mouse support and PM3D are now enabled by default
* NEW more point symbol types in Windows terminal
* FIXED PostScript font reencoding for non-default fonts
* FIXED dgrid for logscaled axes
* FIXED tic generation for axes that have |min/max| very close to 1
* FIXED several "impossible" parse errors in "show" command.
* FIXED bounding box of PSLatex generated .eps files
* (attempted) FIX: X11 deadlocks caused by stdio buffering vs. select()
* FIXED baseline of "histeps" plots with logscaled or shifted y axis.
* FIXED document spherical coordinates by reference to latitude/longitude
* FIXED warn about missing HOME directory only in interactive mode
* FIXED tpic terminal coordinate handling

[3.8f]
* NEW pipes under Windows (if compiled by MingW)
* NEW PDF terminal driver --- needs PDFlib
* NEW SVG terminal driver
* NEW epslatex & EMF terminal drivers now always built in
* NEW PM3D support for CGM, GGI and tgif terminals
* NEW PM3D "set palette maxcolors" support for X11 and PostScript
* NEW special maths function lambertw()
* NEW axis for the color box
* NEW encodings ISO-8859-2 and CP-852 for PostScript terminal
* NEW PM terminal uses codepage 912 for	iso_8859_2 encoding
* NEW "index" option for "matrix" type datafiles
* NEW commands 'set term push' and 'set term pop'
* NEW much extended EEPIC terminal driver
* NEW implement "clear" for Windows and OS/2
* NEW option "picsize" for PNG terminal
* NEW mouse support for MS Windows
* FIXED endless loop if both 'set timefmt' & 'set xtics <incr>'
* FIXED detection of too new gd library without GIF support
* FIXED interaction of autoscaling and "set size ratio"
* FIXED PM3D allocated too many colors for multiplots
* FIXED key sample line types in contour plots
* FIXED timefmt parsing of "01Dec2000" vs. Fortran doubles
* FIXED MS Windows pause box eating 100% CPU
* FIXED ooold problem with HP-UX GCC breaking tic positioning
* FIXED positioning of multiplots
* FIXED correct rounding of exponents for %[SLT] --- needs %s to come first
* FIXED ticmarks for very short axes (max - min < DBL_EPS)
* FIXED "show ticslevel" and "show ticscale"
* FIXED parse errors after "set xdata time"
* FIXED MSDOS file corruption if re-opening same "set output"
* FIXED reject many-column plot styles when plotting a function

[3.8e]
* NEW Major new feature "pm3d" for color plotting (formerly a branch version)
* NEW set label can print numbers into the label text
* NEW hidden3d allows non-grid datasets to be part of the plot
* NEW hidden3d works with contour lines
* NEW overprinting feature for PostScript revised
* NEW Windows terminal now has linewidth support from inside gnuplot
* NEW table terminal will output additional columns with some plot styles
* FIXED hidden3d display of tics and axes

[3.8d]
* NEW <Space> in Windows graph window beams focus to text window
* NEW point sample and offset options for "set label" 
* NEW relative endpoints and choosable head shapes for "set arrow"
* NEW interactive inline data input now has a prompt
* NEW terminal driver epslatex --- like pslatex
* NEW terminal driver GGI
* NEW experimental driver for Enhanced Metafile Format (EMF)
* NEW %s timefmt for reading seconds since the epoch
* FIXED Pslatex actually changes the fontsize
* FIXED PSTRICKS and EEPIC bounding box
* FIXED output of filenames in enhanced-text terminals
* FIXED reading of ~/.Xdefaults
* FIXED block mouse-generated replot if inline data in use
* FIXED 3D clipping of "key below" or "outside" samples
* FIXED zeroaxes bug introduced by vector clipping
* FIXED bug with "smooth unique" inrange/outrange conditions
* FIXED autoscale writeback bug (see BUGS entry 3)
* FIXED png parser bug
* FIXED buggy `show m[xyz][2]tics' command
* FIXED bug in `show key' if key is boxed
* FIXED building on VMS
* FIXED bug in 3d plot introduced by mouse code 
* terminal-dependent configuration of GNU readline
* updated FIG terminal driver to new file format version

CGM terminal mods:
* NEW: files are now compliant with MIL-D-28003A.
* NEW: Standard font table now includes the standard WebCGM fonts and
  the Hershey fonts.  Gnuplot knows the widths of the standard fonts.
  Default font is now "Helvetica Bold".  New fonts can be added to the
  table without deleting the standard ones.
* NEW: open markers.  yellow removed due to poor visibility.  Orange
  and gray added.  User can specify new line colors.
* UPDATE: "winword6" option is now just a deprecated synonym for
  "nofontlist".
* FIXED: Font height handling (e.g. crowded keys)
* FIXED: "solid" option.
* FIXED: linewidth changes were sometimes applied to the wrong lines.

[3.8c]
* NEW mouse support for OS/2 and X11
  - --enable-mouse option
  - --with-X11-driver option
  - new commands "bind", "set historysize", "set mouse",
    and "set label [no]pointstyle".
* NEW configure.vms script for VMS
* NEW oblique symbol font for ps driver
* NEW introduce pipe for load command gnuplot> load "< ...".
* FIXED typo in save xrange
* FIXED defunct 'unset [xyz]tics' commands
* FIXED segfault in pslatex driver
* FIXED crash in OS/2 REXX code
* FIXED crash in fit code
* FIXED bug in 3d plot size after setting nokey
* FIXED bug in postscript epsf option
* don't put pslatex's postscript code into preamble, as this will
  only use the settings for the last picture if several pictures
  are present
* the results of unset border and unset clabel are different
  from reset

[3.8b]
* retain backwards compatibility for old syntax
* ongoing work: modularisation
* NEW, improved version of hidden3d code
* --enable-history configure option renamed to --enable-history-file
  to avoid mixup with new 'history' command
* fix to find gethostbyname(3) on LynxOS
* added new implementation of hidden3d code
* FIXED png driver now shares web-friendly palette with gif driver;
  also new transparency option and user defined colour specs
* FIXED data format for table driver
* FIXED monochrome plots with Windows driver
* FIXED bug in contour handling
* FIXED clipping of contour input points outside fixed ranges
* FIXED bug in coordinates saving
* history command now works with GNU readline
* implemented vector style clipping for 2D plots
* UPDATED gnugraph driver now requires plotutils 2.2+
* UPDATED platform makefileS
* UPDATED hpgl driver
* UPDATED FAQ

[3.8a]
* doc2texi.el, gnuplot.texi added; remove doc2info.c,
  doc2html.c, doc2texi.pl, and fixinfo.el; the info
  and html files are now created with makeinfo, the
  latter requires makeinfo (GNU texinfo) 4.0
* FIXED the 'set ?range' commands now use a decimal point
  to prevent integer overflow on 16 bit platforms
* FIXED 'save'd files are now consistent with the new syntax

[3.7.0.10 - internal only]
* removed DJGPP version 1 support
* improved version of stdin wrapper for Win32
* ongoing work: rewrite of input parser
* gnuplot now passes the correct return value back to
  the environment
* FIXED buffering bug in gnuplot_x11
* FIXED crash in 16bit Windows
* FAQ updated
* FIXED some inconsistencies in error messages and the manual
* INCOMPATIBLE CHANGE: the 'set data style', 'set function style'
  and 'set linestyle' commands have been removed. They have been
  replaced with 'set style data|function|line'. The 'set nolinestyle'
  command, however, is still available for the time being.
* NEW 'system', 'unset' command
* INCOMPATIBLE CHANGE: all 'set noVariable' commands have been
  replaced with the new 'unset Variable' command.
* NEW 'save term' option
* FIXED building on NeXT
* NEW 'history' command, by Petr Mikulik. Currently works only
  without GNU readline.
* FIXED gnuplot now checks for minimum and maximum of required columns
  in data plots
* UPDATED VMS build procedures
* gnuplot-mode updated to 0.5j
* FIXED reversed 'set {x|y}zeroaxis' behaviour
* FIXED plotting of test page before line properties are specified completely
* UPDATED metapost driver
* better modularisation

[3.7.0.9]
* moved some declarations to new header files
* more static arrays removed or replaced with malloc'd storage
* duplicate functions removed
* driver for OpenStep/MacOS X server now complete
* FIXED bug in plot positioning with multiplot
* FIXED bug in J. Pepin's layers patch
* FIXED bug in M. Gardner's help formatting patch
* FIXED definition of ANSI_C on autoconf platforms
* FIXED argument passing to gnuplot_x11 on VMS
* NEW `save' command now accepts "-" as filename, "saving" to stdout
* INCOMPATIBLE CHANGE: "%y" date specifiers are now interpreted according
  the recommendations of The Open Group. When a century is not otherwise
  specified, values in the range 69-99 refer to the twentieth century and
  values in the range 00-68 refer to the twenty-first century.

[3.7.0.8]
* embedding document font is now default font in latex output
* static limits for user defined function and variable names removed
* 'make check' now passes GNUTERM from the command line to gnuplot.
* FIXED off-by-one error in gif driver y-scaling
* gnuplot-mode updated to 0.5g
* FIXED errors in 'set view <z_scale>'. Related demos have
  been updated too.
* src directory now uses automake Makefile
* #error and #warning directives have been removed.
* more efficient way of building docs/allterm.h
* FIXED auxiliary ps filename generation in pslatex driver

[3.7.0.7]
* FIXED timestamp positioning problem in X11 terminal
* FIXED exit/quit in batch files now works as documented
* FIXED 'replot' with no args does not discard rest of
  ';' separated command line anymore
* no more fixed limit to the number of contour levels,
  now allocated dynamically
* improvements in the OS/2 mouse driver
* backtic command substitution now works inside quoted strings
* NEW driver for metapost output
* NEW driver for openstep/MacOS X Server
* NEW perltk driver integrated into tkcanvas driver
* NEW loadpath feature, uses GNUPLOT_LIB env var
  see 'help environment' and 'help loadpath'
* updated to version 0.5f of gnuplot-mode
* CHANGE in command line substitution:
  Newlines in the output produced by the spawned command are
  stripped. They are NOT replaced with blanks anymore. This is
  a possible source of incompatibility.
* CHANGE gnuplot's error and warning functions now accept a
  variable number of arguments. On platforms without vfprintf
  or doprnt, the number of format-dependent arguments is
  limited to 8.

[3.7.0.6]
* Petr Mikulik's OS/2 mouse patch integrated
* 'make check' now runs demos non-interactively
* Linux SVGA driver: don't drop root privilege until VGA is initialised
* LaTeX tutorial updated for LaTeX2e
* gnuplot-mode updated to 0.5e
* old patches for postscript driver integrated:
  different colours for key text and sample (blacktext),
  linewidth, dashlength options
* extensions to tkcanvas driver
* fixes in fig and metafont drivers
* bugfixes related to secondary axes (show/nologscale)
* new '--without-lisp-files' and '--without-tutorial' configure options
* new targets to build documentation with groff
* quoting bug fixed 
* new files VERSION, PATCHLEVEL, README.exp

[3.7.0.5]
* another off-by-one error fixed in pstricks driver
* updated to latest version of gnuplot-mode
* added tilde-expansion of filenames
* win/pgnuplot.c added, stdin redirection for gnuplot
  under Windows
* extended interactive Tk/Tcl capabilities
* only read from stdin if the complete filename is "-"
* added fitting of time format data
* workaround for the bug that made 'set key below' sometimes
  lack some of the key texts
* build lisp files, LaTeX tutorial only if emacs, latex, resp.
  are found
* moved CVS repository to new dir structure
* gnuplot can now be compiled with GNU libplot 2.2
* docs/doc2hlp.com renamed to docs/doc2hlp.vms pending better solution

[3.7.0.4]
* switched to new directory structure!
* fix to plot all lines in multiline labels within plot borders
* hardwire terminal sources into docs/Makefile.in
* better docs for 'set missing'
* hopefully complete fix for off-by-one error in pslatex driver
* fix core dump in alloc.c (only relevant for memory debugging)

[3.7.0.3] (released as patch only)
* brush up the various platform makefiles
* typo in plot.c free() statement fixed
* some fixes in the Be driver

[3.7.0.2]
* add pgp keys
* NEW driver for BeOS
* X11 driver now uses ececvp() instead of execl()
  to eliminate intermediate shell process
* NEW gnuplot-mode.el for X/Emacs
* update to OS/2 REXX interface
* more drivers enabled by default under OS/2
* Bezier interpolation rewritten to prevent overflow
* Windows linestyle fixed
* introduce layers (front, back) for labels and arrows
* tiny and giant fonts added to gif driver
* tilde expansion; (does not work for "cd" and "set output")
* GNU readline related:
    new syntax for --with-readline option in configure
    no more duplicate history entries
    use gnuplot history file
* SECURITY: --with-linux-vga=no is now default
* SECURITY: better control when Linux executable with
  SVGAlib access actually runs as root
* SECURITY: potential risk fixed in iris4d terminal
* EXPERIMENTAL: new --enable-thin-splines option in configure
  to enable thin plate splines in plot3d.c
* configuration: --enable-apollo, --enable-gpr and --enable-unixpc
  options removed, related code is now in syscfg.h.
  --enable-cgi and --enable-sun options removed, now automatically
  detected at configure time. --enable-system-time option removed.

[3.7.0.1]
* bug fix for negative aspect ratio
* bug fixes in the cgm, eepic, png, and pslatex driver
* bug fix in the data fitting code
* bug fixes for HP-UX, NEXT, and Windows
* bug fixes for save and set lmargin commands
* better makefile for Amiga SAS/c

